ALAS-2020-1362


Amazon Linux AMI Security Advisory: ALAS-2020-1362
Advisory Release Date: 2020-04-23 23:05 Pacific
Severity: Low
References: CVE-2018-14622 

Issue Overview:

A null-pointer dereference vulnerability was found in libtirpc before version 0.3.3-rc3. The return value of makefd_xprt() was not checked in all instances, which could lead to a crash when the server exhausted the maximum number of available file descriptors. A remote attacker could cause an rpc-based application to crash by flooding it with new connections. (CVE-2018-14622 )


Affected Packages:

libtirpc


Issue Correction:
Run yum update libtirpc to update your system.

New Packages:
i686:
    libtirpc-0.2.4-0.16.15.amzn1.i686
    libtirpc-debuginfo-0.2.4-0.16.15.amzn1.i686
    libtirpc-devel-0.2.4-0.16.15.amzn1.i686

src:
    libtirpc-0.2.4-0.16.15.amzn1.src

x86_64:
    libtirpc-0.2.4-0.16.15.amzn1.x86_64
    libtirpc-devel-0.2.4-0.16.15.amzn1.x86_64
    libtirpc-debuginfo-0.2.4-0.16.15.amzn1.x86_64